Subject: Re: [PATCH v2 2/2] builtin/receive-pack: add option to skip connectivity check

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 5 Jun 2025 13:00:03 +0200

On Thu, Jun 05, 2025 at 12:17:17PM +0200, Johannes Schindelin wrote:
> Hi Patrick,
> On Tue, 3 Jun 2025, Patrick Steinhardt wrote:
> > On Mon, Jun 02, 2025 at 10:59:53AM -0500, Justin Tobler wrote:
> > > On 25/06/02 05:01PM, Johannes Schindelin wrote:
> > > Thanks Johannes for the report. I'm not quite sure yet what is going on
> > > here, but I'll dig into this a bit and see what I can figure out. :)
> > 
> > I've been banging my head against this issue for a bit today. A couple
> > of findings:
> > 
> >   - The issue is specific to Git for Windows, I could only reproduce it
> >     when working with aa550efd0bb (fixup??? survey: add command line
> >     opts to select references, 2025-05-08).
> 
> I can reproduce it consistently with Git's `master`, see e.g.
> https://github.com/git/git/actions/runs/15454602308/job/43504424816#step:6:627

Huh, interesting. Now that makes me wonder why I couldn't.

> >   - When working on top of the above commit the bug is consistent. It
> >     doesn't only happen in GitHub, but also happens in GitLab CI [1].
> > 
> >   - That being said, I still can't reproduce it locally?! This one is
> >     quite puzzling to me. I have tried to get my environment as close as
> >     possible to the environment we have in the CI systems.
> 
> I, too, was unable to reproduce locally (probably because of the way the
> runners start the processes, without an initial Win32 Console and all). So
> I took to mxschmitt/action-tmate to debug on the runner itself. It is a
> bit tricky to do, as MSVC's debugger runs in a graphical IDE and gdb is
> unable to find the symbols.
> 
> >   - I have a fix, see the patch further down. But I don't understand
> >     that fix just yet.
> 
> I would like to propose an alternative:
> https://lore.kernel.org/git/[email-masked]
> 
> The reason why I prefer that solution is that I suspect the extra script
> to make the conditions only less likely, but not impossible, for the bug
> to rear its ugly head.

Interesting find! I'll comment on that thread, thanks!

Patrick